NCOPY(1)

NAME
ncopy - NetWare file copy

SYNOPSIS
ncopy -V ncopy [ -vn ] [ -s amount ] file destinationfile|directory ncopy [ -vn ] [ -s amount ] file1 [ file2 ... ] directory

DESCRIPTION
With ncopy you can copy files to different locations on a single NetWare file server without generating excess network traffic. The program uses a NetWare function to do the copy rather than transferring the file across the network for both the read and write. If the last argument is a directory, ncopy will copy the source file(s) into the directory. If only two files are given and the last argument is not a directory, it will copy the source file to the destination file. If the source and destination files are not on the same NetWare server (or are not on NetWare servers at all), ncopy will do a normal file copy.

OPTIONS
-V
    Show version number and exit
-v
    Verbose copy. Will show current file and percentage completion.
-n
    Nice NetWare copy. Will sleep for a second between copying blocks on the NetWare server. Gives other people a chance to do some work on the NetWare server when you are copying large files. This has no effect if you are not copying on a NetWare server.
-s amount
    Nice time slice factor. Used in conjunction with the -n option, this specifies the number of 100K blocks to copy before sleeping. Default is 10. (1 Megabyte)

BUGS
ncopy cannot recurse into directories. Does not work on NetWare volumes mounted with the -V option to ncpmount.

SEE ALSO
ncpmount(8), ncpumount(8)

CREDITS
ncopy was written by Brian G. Reid (breid@tim.com) and Tom C. Henderson (thenderson@tim.com). Many thanks to Volker Lendecke (lendecke@math.uni-goettingen.de) for the ncpfs and ncplib which made ncopy possible.